Get a place's rating, ranking and details
curl --request POST \
--url https://api.stophy.dev/v1/tripadvisor/place \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"place": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({place: '<string>'})
};
fetch('https://api.stophy.dev/v1/tripadvisor/place', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/tripadvisor/place"
payload = { "place": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"place": {
"isClosed": true,
"id": "<string>",
"name": "<string>",
"type": "<string>",
"subtypes": [
"<string>"
],
"url": "<string>",
"rating": 123,
"reviews": 0,
"ranking": {
"text": "<string>",
"position": 0,
"of": 0,
"geo": "<string>"
},
"priceLevel": "<string>",
"priceRangeText": "<string>",
"hotelClass": 123,
"description": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"location": {
"lat": 123,
"lng": 123
},
"phone": "<string>",
"website": "<string>",
"email": "<string>",
"neighborhoods": [
"<string>"
],
"parents": [
{
"id": "<string>",
"name": "<string>"
}
],
"cuisines": [
"<string>"
],
"hours": [
{
"days": "<string>",
"times": [
"<string>"
]
}
],
"tags": [
"<string>"
],
"image": "<string>",
"timezone": "<string>"
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}Tripadvisor
Tripadvisor place API
Call the Tripadvisor place API to get name, subtypes, rating, reviews, ranking and price level, as JSON or markdown. 1 credit.
POST
/
v1
/
tripadvisor
/
place
Get a place's rating, ranking and details
curl --request POST \
--url https://api.stophy.dev/v1/tripadvisor/place \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"place": "<string>"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({place: '<string>'})
};
fetch('https://api.stophy.dev/v1/tripadvisor/place', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.stophy.dev/v1/tripadvisor/place"
payload = { "place": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"success": true,
"data": {
"place": {
"isClosed": true,
"id": "<string>",
"name": "<string>",
"type": "<string>",
"subtypes": [
"<string>"
],
"url": "<string>",
"rating": 123,
"reviews": 0,
"ranking": {
"text": "<string>",
"position": 0,
"of": 0,
"geo": "<string>"
},
"priceLevel": "<string>",
"priceRangeText": "<string>",
"hotelClass": 123,
"description": "<string>",
"address": {
"full": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>",
"country": "<string>"
},
"location": {
"lat": 123,
"lng": 123
},
"phone": "<string>",
"website": "<string>",
"email": "<string>",
"neighborhoods": [
"<string>"
],
"parents": [
{
"id": "<string>",
"name": "<string>"
}
],
"cuisines": [
"<string>"
],
"hours": [
{
"days": "<string>",
"times": [
"<string>"
]
}
],
"tags": [
"<string>"
],
"image": "<string>",
"timezone": "<string>"
}
},
"creditsUsed": 123,
"requestId": "<string>"
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}{
"success": false,
"error": {
"code": "cliSessionCompleted",
"message": "<string>",
"retryable": true,
"requestId": "<string>",
"retryAfterSeconds": 123
}
}- Endpoint:
tripadvisor.place - Returns:
datahasplace. - Cost: 1 credit. Failed calls cost nothing.
- Paging: No.
Example
import { Stophy } from "stophy";
const stophy = new Stophy({ apiKey: process.env.STOPHY_API_KEY });
const result = await stophy.tripadvisor.place({ place: "https://www.tripadvisor.com/Hotel_Review-g60763-d224832-Reviews-The_Peninsula_New_York-New_York_City_New_York.html" });
console.log(result.data.place);
from stophy import Stophy
stophy = Stophy() # reads STOPHY_API_KEY
result = stophy.tripadvisor.place(place="https://www.tripadvisor.com/Hotel_Review-g60763-d224832-Reviews-The_Peninsula_New_York-New_York_City_New_York.html")
print(result["data"]["place"])
curl -X POST https://api.stophy.dev/v1/tripadvisor/place \
-H "Authorization: Bearer $STOPHY_API_KEY" \
-H "content-type: application/json" \
-d '{"place":"https://www.tripadvisor.com/Hotel_Review-g60763-d224832-Reviews-The_Peninsula_New_York-New_York_City_New_York.html"}'
stophy tripadvisor place https://www.tripadvisor.com/Hotel_Review-g60763-d224832-Reviews-The_Peninsula_New_York-New_York_City_New_York.html
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json